<template>
  <div class="bbsl-common-page">
    <div class="bbsl-table-search">
      <el-form v-model="queryParam" label-width="auto">
        <el-row :gutter="10">
          <el-col :span="5">
            <el-form-item label="排查时间">
              <el-date-picker v-model="querys[2].value" clearable placeholder="请选择排查时间" type="date"
                              value-format="yyyy-MM-dd">
              </el-date-picker>
            </el-form-item>
          </el-col>
          <el-col :span="5">
            <el-form-item label="排查名称">
              <el-input v-model="querys[0].value" clearable placeholder="请输入排查名称" />
            </el-form-item>
          </el-col>
          <el-col :span="5">
            <el-form-item label="排查方式">
              <el-select v-model="querys[1].value" clearable>
                <el-option v-for="item in pcfsList" :key="item.value" :label="item.name" :value="item.value" />
              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="4">
            <el-button icon="el-icon-search" type="primary" @click="handleSearch">搜索</el-button>
            <el-button icon="el-icon-refresh" @click="handleReset">重置</el-button>
          </el-col>
        </el-row>
      </el-form>
    </div>
    <div ref="contentPanel" class="bbsl-table-content">
      <div ref="btnPanel" class="bbsl-btn-content">
        <el-button icon="el-icon-plus" type="primary" @click="handleAdd">新增</el-button>
        <el-popconfirm title="确定删除选中数据吗？" @confirm="handleDelete">
          <el-button slot="reference" :disabled="!multipleSelection.length" icon="el-icon-delete" style="margin-left: 10px"
                     type="danger">删除
          </el-button>
        </el-popconfirm>
      </div>
      <el-table ref="multipleSelection" v-loading="loading" :cell-style="{ 'text-align': 'center' }" :data="tableData" :header-cell-style="{ 'text-align': 'center' }"
                :max-height="tableMaxHeight" :style="{ width: '100%' }" border
                size="mini" @row-dblclick="handleDbClick"
                @selection-change="handleSelectionChange">
        <el-table-column type="selection" width="55" />
        <el-table-column fixed label="序号" type="index" width="55" />
        <el-table-column label="排查时间" prop="checkDate" show-overflow-tooltip width="110" />
        <el-table-column label="排查名称" prop="checkName" show-overflow-tooltip />
        <el-table-column label="排查方式" prop="checkTypeName" show-overflow-tooltip width="110" />
        <!-- <el-table-column width="110" prop="checkStartDate" label="开始时间" show-overflow-tooltip />
        <el-table-column width="110" prop="checkEndDate" label="结束时间" show-overflow-tooltip /> -->

        <el-table-column label="排查内容简述" prop="checkContent" show-overflow-tooltip />
      </el-table>
      <el-pagination ref="paginationPanel" :current-page="queryParam.pageBean.page" :page-size="queryParam.pageBean.pageSize" :page-sizes="[20, 30, 40, 50]"
                     :total="total" align="right"
                     background class="bbsl-pagination"
                     layout="total, sizes, prev, pager, next, jumper"
                     @size-change="handleSizeChange" @current-change="handleCurrentChange" />
    </div>
    <!-- <div ref="contentPanel" class="bbsl-table-content">
			<div ref="btnPanel" class="bbsl-btn-content">
				<el-button icon="el-icon-plus" type="primary" @click="handleAdd">新增</el-button>
				<el-popconfirm title="确定删除选中数据吗？" @confirm="handleDelete">
					<el-button slot="reference" :disabled="!multipleSelection.length" icon="el-icon-delete"
						type="danger" style="margin-left: 10px">删除</el-button>
				</el-popconfirm>
			</div>
			<el-table ref="multipleSelection" v-loading="loading" border size="mini"
				:data="tableData" :style="{width: '100%'}" :max-height="tableMaxHeight"
				:cell-style="{'text-align': 'center'}" :header-cell-style="{'text-align': 'center'}"
				@row-dblclick="handleDbClick" @selection-change="handleSelectionChange" @row-click="searchRecord">
				<el-table-column type="selection" width="55" />
				<el-table-column fixed type="index" width="55" label="序号" />
				<el-table-column fixed sortable prop="recipient" label="排查单位" show-overflow-tooltip
					:formatter="formatUnitName" />
				<el-table-column fixed sortable prop="checkUser" label="排查人" width="90" show-overflow-tooltip />
				<el-table-column fixed sortable prop="dangerType" label="隐患类型" show-overflow-tooltip width="110" />
				<el-table-column fixed sortable prop="checkDate" label="排查时间" width="130" show-overflow-tooltip />
				<el-table-column fixed sortable prop="content" label="排查内容" show-overflow-tooltip />
				<el-table-column fixed sortable prop="createTime" label="创建时间" show-overflow-tooltip />
				<el-table-column fixed="right" label="操作" width="110">
					<template slot-scope="scope">
						<el-button type="text" size="small" @click="addRecord(scope.row)">新增检查记录</el-button>
					</template>
</el-table-column>
</el-table>
<el-pagination ref="paginationPanel" align="right" :current-page="queryParam.pageBean.page"
  :page-sizes="[10, 20, 30, 50]" :page-size="queryParam.pageBean.pageSize"
  layout="total, sizes, prev, pager, next, jumper" :total="total" @size-change="handleSizeChange"
  @current-change="handleCurrentChange" />

</div> -->
    <CmgtSaftyDangerCheckplanFormDialog ref="formModal" />
    <!-- <CmgtSaftyDangerCheckrecordFormDialog ref="recordFormModal" /> -->
  </div>
</template>

<script>
import {TableMixin} from '@/mixins/tableMixin'
import dictContracts from '@/components/dict/DictSelectUtils.js'

import CmgtSaftyDangerCheckplanApi from '@/views/Manage/saftyDanger/api/CmgtSaftyDangerCheckplanApi'
import CmgtSaftyDangerCheckplanFormDialog
  from '@/views/Manage/saftyDanger/components/CmgtSaftyDangerCheckplanFormDialog'

// import CmgtSaftyDangerCheckPlanRecordFormDialog from '@/views/Manage/saftyDanger/components/CmgtSaftyDangerCheckPlanRecordFormDialog'
// import CmgtSaftyDangerCheckrecordFormDialog from '@/views/Manage/saftyDanger/components/CmgtSaftyDangerCheckrecordFormDialog'
import CmgtSaftyDangerCheckrecordApi from '@/views/Manage/saftyDanger/api/CmgtSaftyDangerCheckrecordApi'

export default {
  name: '' +
    'CmgtSaftyDangerCheckplanManage',
  components: {
    CmgtSaftyDangerCheckplanFormDialog
    // CmgtSaftyDangerCheckPlanRecordFormDialog,
    // CmgtSaftyDangerCheckrecordFormDialog
  },
  mixins: [TableMixin],
  data() {
    return {
      activeName: 'record',
      url: {
        delete: '/manager/cmgtSaftyDangerCheckplan/delete'
      },
      querys: [
        {
          group: 'main',
          operation: 'LIKE',
          parentGroup: '',
          property: 'checkName',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'checkType',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'check_Date_',
          relation: 'AND',
          value: ''
        }
      ],
      sorter: [
        {
          direction: 'DESC',
          property: 'check_Date_'
        }
      ],
      recordTableData: [],
      StshowFormDias: false,
      pcfsList: [],
      units: [],
      searchRow: null
    }
  },
  created() {
    this.pcfsList = dictContracts.getDictItemsFromCache('pclb')
    // CmgtSaftyDangerCheckplanApi.loadAllUnit(res => {
    // 	this.units = res
    // })
  },
  mounted() {
  },
  methods: {
    // 重置
    clearQuerys() {
      this.querys[0].value = ''
      this.querys[1].value = ''
      this.querys[2].value = ''
    },
    // 获取list
    loadData(page) {
      if (page) {
        this.queryParam.pageBean.page = page
      }
      this.loading = true
      this.tableData = []
      this.queryParam.querys = []
      this.queryParam.sorter = this.sorter
      if (this.querys[0].value) {
        this.queryParam.querys.push(this.querys[0])
      }
      if (this.querys[1].value) {
        this.queryParam.querys.push(this.querys[1])
      }
      if (this.querys[2].value) {
        this.queryParam.querys.push(this.querys[2])
      }
      CmgtSaftyDangerCheckplanApi.loadCmgtSaftyDangerCheckplan(
        this.queryParam,
        res => {
          // console.log(res, 'res')
          this.total = res.total
          this.tableData = res.rows
          this.tableData.forEach(item => {
            this.pcfsList.forEach(val => {
              if (item.checkType == val.value) {
                item['checkTypeName'] = val.name
              }
            })
          })
          this.$set(this.tableData)
          this.loading = false
        }
      )
    },
    searchRecord(row, column, event) {
      var queryParam = [
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'checkplan_id_',
          relation: 'AND',
          value: row.id
        }
      ]
      this.searchRow = row
      CmgtSaftyDangerCheckrecordApi.loadCmgtSaftyDangerCheckrecord(
        {
          querys: queryParam
        },
        res => {
          this.recordTableData = res.rows
        }
      )
    },
    // 修改
    handleUpdate(row) {
      console.log(row.id)
      this.$refs.formModal.Update(row)
    },
    closeStshowForm() {
      this.StshowFormDias = false
    },
    formatUnitName(row, column, cellValue, index) {
      var obj = this.units.find(function(item) {
        if (item.id === row.recipient) {
          //
          return item
        }
      })
      if (obj !== undefined) {
        return obj.unitName
      } else {
        return ''
      }
    },
    addRecord(row) {
      var dw = this.units.find(function(item) {
        if (item.id === row.recipient) {
          //
          return item
        }
      })

      this.$refs.recordFormModal.addRecord(row, dw)
    },
    updateRecord(row, status) {
      this.$refs.recordFormModal.Update(row, status)
    },
    delRecord(row) {
      var ids = []
      ids.push(row.id)
      CmgtSaftyDangerCheckrecordApi.deleteCmgtSaftyDangerCheckrecord(
        ids,
        res => {
          this.$message.success('删除成功！')
          this.searchRecord(this.searchRow, null, null)
        }
      )
    }
  }
}
</script>
<style lang="scss" scoped>
.type-tag {
  margin: 0 2px;
}
</style>
